# $Revision: 1.29 $, $Date: 2007/01/04 10:02:48 $
Summary:	Set of tools which creates squashfs filesystem
Summary(pl):	Zestaw narzdzi do tworzenia systemu plikw squashfs
Name:		squashfs
Version:	3.2
Release:	1
License:	GPL
Group:		Base/Utilities
Source0:	http://dl.sourceforge.net/squashfs/%{name}%{version}.tar.gz
# Source0-md5:	b96fa12e42dea5db50cf4a6ac4f563ed
URL:		http://squashfs.sourceforge.net/
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
This package contains utilities for squashfs filesystem.

Squashfs is a highly compressed read-only filesystem for Linux (kernel
2.4.x and 2.6.x). It uses zlib compression to compress both files,
inodes and directories. Inodes in the system are very small and all
blocks are packed to minimise data overhead. Block sizes greater than
4K are supported up to a maximum of 64K.

Squashfs is intended for general read-only filesystem use, for
archival use (i.e. in cases where a .tar.gz file may be used), and in
constrained block device/memory systems (e.g. embedded systems) where
low overhead is needed.

%description -l pl
Zestaw narzdzi do tworzenia systemu plikw squashfs.

Squashfs jest systemem plikw tylko do odczytu z duym wspczynnikiem
kompresji dla Linuksa (jdra 2.4.x i 2.6.x). Uywa kompresji zlib do
plikw, i-wzw oraz katalogw. I-wzy s bardzo mae, a wszystkie
bloki s pakowane, aby zmniejszy objto. Rozmiary blokw powyej
4kB s obsugiwane - maksymalnie do 64kB.

Squashfs ma suy jako system plikw tylko do odczytu oglnego
przeznaczenia, do skadowania archiww (w tych przypadkach, kiedy
mona uywa plikw .tar.gz) oraz w systemach z duymi ograniczeniami
pamici i urzdze blokowych (np. systemach wbudowanych).

%prep
%setup -q -n %{name}%{version}

%build
%{__make} -C squashfs-tools \
	CC="%{__cc}" \
	CFLAGS="-I. %{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

install -D squashfs-tools/mksquashfs $RPM_BUILD_ROOT%{_sbindir}/mksquashfs
install    squashfs-tools/unsquashfs $RPM_BUILD_ROOT%{_sbindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *README* ACKNOWLEDGEMENTS CHANGES
%attr(755,root,root) %{_sbindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: squashfs.spec,v $
Revision 1.29  2007/01/04 10:02:48  rotom
- up to 3.2
- Mksquashfs now displays a progress bar
- Squashfs filesystems can now be exported via NFS

Revision 1.28  2006/08/27 07:06:07  pluto
- updated to 3.1.

Revision 1.27  2006/04/26 15:20:18  glen
- add more docs
- correct changelog entry

Revision 1.26  2006/03/17 13:47:49  areq
- 3.0

Revision 1.25  2005/10/28 21:57:59  areq
- squashfs2.2-r2

Revision 1.24  2005/07/05 15:08:29  kosmo
- updated to 2.2

Revision 1.23  2005/02/11 09:01:18  qboosh
- updated to 2.1-r2 (anonymous struct/unions removed - gcc2.95-compatible again)

Revision 1.22  2004/12/11 12:40:12  havner
- 2.1

Revision 1.21  2004/10/25 09:18:08  areq
- squashfs2.0-r2

Revision 1.20  2004/07/14 09:35:15  areq
- squashfs-2.0

Revision 1.19  2004/06/30 13:03:28  areq
- amd64 patch for squashfs-tools-2.0_alpha from http://bugs.gentoo.org/show_bug.cgi?id=54103

Revision 1.18  2004/06/23 14:08:33  qboosh
- Source0 URL unification

Revision 1.17  2004/05/21 20:33:41  ankry
- formatting

Revision 1.16  2004/05/21 19:54:25  paszczus
- typos for new version

Revision 1.15  2004/05/21 19:02:00  havner
- version 2.0-ALPHA

Revision 1.14  2004/01/21 14:58:02  areq
- 1.3r3

Revision 1.13  2003/10/15 16:31:33  areq
- 1.3r2

Revision 1.12  2003/07/30 10:28:28  areq
- 1.3

Revision 1.11  2003/07/13 13:44:20  areq
- add readdir.patch from Phillip Lougher <phillip at lougher.demon.co.uk>

Revision 1.10  2003/06/22 10:39:47  eothane
- fix sf url

Revision 1.9  2003/05/28 13:02:01  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:26:57  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/03/15 13:07:45  areq
- 1.2, STBR

Revision 1.6  2003/01/19 19:28:03  areq
- add lseek.patch  s/lseek64/lseek/

Revision 1.5  2003/01/16 11:19:32  areq
- 1.1b, STBR

Revision 1.4  2003/01/10 13:21:22  areq
- 1.1, STBR
- add missing doc

Revision 1.3  2002/11/13 11:41:29  areq
- squashfs1.0c

Revision 1.2  2002/11/05 14:24:41  qboosh
- longer pl description, removed /sbin dir from package

Revision 1.1  2002/11/05 11:49:00  areq
- init PLD spec
